TTF_GetFontAscent(3)

NAME
TTF_GetFontAscent - Query the offset from the baseline to the top of a font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

int TTF_GetFontAscent(const TTF_Font *font);

DESCRIPTION
This is a positive value, relative to the baseline.

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
Returns the font's ascent.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.